import {
  __name,
  init_esm_shims
} from "./chunk-65NJ2BNV.js";

// src/logger/is-unicode-supported.ts
init_esm_shims();
import process from "node:process";
function isUnicodeSupported() {
  const { env } = process;
  const { TERM, TERM_PROGRAM } = env;
  if (process.platform !== "win32") {
    return TERM !== "linux";
  }
  return Boolean(env.WT_SESSION) || // Windows Terminal
  Boolean(env.TERMINUS_SUBLIME) || // Terminus (<0.2.27)
  env.ConEmuTask === "{cmd::Cmder}" || // ConEmu and cmder
  TERM_PROGRAM === "Terminus-Sublime" || TERM_PROGRAM === "vscode" || TERM === "xterm-256color" || TERM === "alacritty" || TERM === "rxvt-unicode" || TERM === "rxvt-unicode-256color" || env.TERMINAL_EMULATOR === "JetBrains-JediTerm";
}
__name(isUnicodeSupported, "isUnicodeSupported");

export {
  isUnicodeSupported
};
